vgp.minimal.weier

## Class PgWeierstrass_SchwarzD2

- java.lang.Object
- - jv.object.PsObject
  - - vgp.minimal.weier.PgWeierstrassDescr
    - - vgp.minimal.weier.PgWeierstrass_SchwarzD2

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, PsUpdateIf

      public class PgWeierstrass_SchwarzD2
      extends PgWeierstrassDescr

  Descriptor class for Schwarz D Surface.
  See Also:
    Serialized Form
  Author:
    Ulrich Reitebuch
  Version:
    23.10.07, 1.00 (ur).

- - ### Field Summary

    - ### Fields inherited from class vgp.minimal.weier.PgWeierstrassDescr

      `m_numUserReflections, REFLECT_LINE, REFLECT_PLANE`

    - ### Fields inherited from class jv.object.PsObject

      `HAS_BOUNDARY_PANEL, HAS_CONFIG_PANEL, HAS_INFO_PANEL, HAS_LABEL_PANEL, HAS_MATERIAL_PANEL, HAS_TEXTURE_PANEL, HAS_VECTOR_PANEL, INSPECTOR_INFO, INSPECTOR_INFO_EXT, IS_DELETED, IS_FIXED, IS_FOCUSSED, IS_PICKED, IS_SELECTED, IS_USED, NUM_TAGS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PgWeierstrass_SchwarzD2()` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `connectReflection(PiVector partPath, int patchIndex)` Flag to glue reflection polygons.
    `PuComplex` | `f(PuComplex z)` Weierstrass function f.
    `PuComplex` | `g(PuComplex z)` Weierstrass function g.
    `void` | `getBndReflectType(PiVector partPath, int patchIndex, PiVector bndReflectType)` Information of reflection type.
    `void` | `getConnections(PiVector partPath)` Glue patches.
    `int` | `getNumParts(PiVector partPath)` Get number of patches.
    `void` | `getReflections(PiVector partPath)` Reflect patches.
    `void` | `init()` Initialization.
    `boolean` | `partIsSubdivided(PiVector partPath, int patchIndex)` Information, if a patch is composed of smaller patches.
    `PuComplex` | `transform(int patchIndex, PuComplex z)` Transform rectangular domain to an adequate domain in the complex plane.

    - ### Methods inherited from class vgp.minimal.weier.PgWeierstrassDescr

      `addParameter, connectPart, connectReflection, equals, equals, equals, fun, getConnections, getConnections, getDimOfElements, getFStart, getFStart, getMarkedBndNr, getNumIntegratedPatches, getNumParts, getNumULines, getNumVLines, getReflections, getReflections, getStartU, getStartV, getUMax, getUMin, getVMax, getVMin, isEnabledMarkBnd, newReflection, reflectPart, returnUserReflections, setConnections, setDomain, setEnabledMarkBnd, setMarkedBndNr, setNumIntegratedPatches, setPartBndNr, setReflection, setReflectPartNr, setUMax, setUMin, setVertDim, setVMax, setVMin, transform, update`

    - ### Methods inherited from class jv.object.PsObject

      `addInspector, addUpdateListener, assureInspector, clearTag, clone, clone, clone, copy, getFather, getInfoPanel, getInspector, getName, getNumObjects, getSymbol, hasInspector, hasTag, hasUpdateListener, instanceOf, instanceOf, newInspector, newInspector, removeInspector, removeInspector, removeUpdateListener, setName, setParent, setSymbol, setTag, toString, updatePanels`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PgWeierstrass_SchwarzD2

          public PgWeierstrass_SchwarzD2()

      Constructor.

  - ### Method Detail

    - #### init

          public void init()

      Initialization.
      Overrides:
        `init` in class `PgWeierstrassDescr`

    - #### transform

          public PuComplex transform(int patchIndex,
                                     PuComplex z)

      Transform rectangular domain to an adequate domain in the complex plane.
      Overrides:
        `transform` in class `PgWeierstrassDescr`

    - #### f

          public PuComplex f(PuComplex z)

      Weierstrass function f.
      Specified by:
        `f` in class `PgWeierstrassDescr`

    - #### g

          public PuComplex g(PuComplex z)

      Weierstrass function g.
      Specified by:
        `g` in class `PgWeierstrassDescr`

    - #### getConnections

          public void getConnections(PiVector partPath)

      Glue patches.
      Overrides:
        `getConnections` in class `PgWeierstrassDescr`

    - #### getReflections

          public void getReflections(PiVector partPath)

      Reflect patches.
      Overrides:
        `getReflections` in class `PgWeierstrassDescr`

    - #### getBndReflectType

          public void getBndReflectType(PiVector partPath,
                                        int patchIndex,
                                        PiVector bndReflectType)

      Information of reflection type.
      Overrides:
        `getBndReflectType` in class `PgWeierstrassDescr`

    - #### connectReflection

          public boolean connectReflection(PiVector partPath,
                                           int patchIndex)

      Flag to glue reflection polygons.
      Overrides:
        `connectReflection` in class `PgWeierstrassDescr`

    - #### partIsSubdivided

          public boolean partIsSubdivided(PiVector partPath,
                                          int patchIndex)

      Information, if a patch is composed of smaller patches.
      Overrides:
        `partIsSubdivided` in class `PgWeierstrassDescr`

    - #### getNumParts

          public int getNumParts(PiVector partPath)

      Get number of patches.
      Overrides:
        `getNumParts` in class `PgWeierstrassDescr`

"

The software JavaView? is copyright protected. All Rights Reserved.
"